#include <avr/io.h>
#include <util/delay.h>

#include "main.h"
#include "mos6581.h"

int main(void)
{
        MOS6581_Init();                 // See mos6581.c
        _delay_ms(1000);                // Wait until Clock etc. is stable.

        MOS6581_WriteByte(24, 15);      // Set maximum volume (15).
        MOS6581_WriteByte(0, 196);      // Set oscillator frequency D3
                                        // (Lo-byte).
        MOS6581_WriteByte(1, 9);        // Set oscillator frequency D3
                                        // (Hi-byte).
        MOS6581_WriteByte(5, 105);      // Set Attack phase to 1s, Decay
                                        // to 750ms.
        MOS6581_WriteByte(6, 252);      // Set Sustain-level to 10 and
                                        // release to 2.4s.

        MOS6581_WriteByte(4, 33);       // Set Square-Wave, Control-Bit.

        _delay_ms(5000);                // Wait until release phase finished.

        MOS6581_WriteByte(4, 34);       // Set Control-Bit off.
}


